import { Story } from '@storybook/react';
import { AvatarProps } from '@material-ui/core';
import { Avatar } from './Avatar';
declare const _default: {
    title: string;
    component: typeof Avatar;
    argTypes: {};
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Image: Story<AvatarProps>;
export declare const Letter: Story<AvatarProps>;
export declare const Size: Story<AvatarProps>;
export declare const Icon: Story<AvatarProps>;
export declare const Group: Story<AvatarProps>;
export declare const Fallback: Story<AvatarProps>;
