import { Story } from '@storybook/react';
import { TypographyProps } from '@material-ui/core';
import { Typography } from './Typography';
declare const _default: {
    title: string;
    component: typeof Typography;
    argTypes: {
        align: {
            defaultValue: string;
            table: {
                defaultValue: {
                    summary: string;
                };
            };
        };
        color: {
            defaultValue: string;
            table: {
                defaultValue: {
                    summary: string;
                };
            };
        };
        display: {
            defaultValue: string;
            table: {
                defaultValue: {
                    summary: string;
                };
            };
        };
        variant: {
            defaultValue: string;
            table: {
                defaultValue: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<TypographyProps<"span", {}>>;
export declare const H1: Story<TypographyProps<"span", {}>>;
export declare const H2: Story<TypographyProps<"span", {}>>;
export declare const H3: Story<TypographyProps<"span", {}>>;
export declare const H4: Story<TypographyProps<"span", {}>>;
export declare const H5: Story<TypographyProps<"span", {}>>;
export declare const H6: Story<TypographyProps<"span", {}>>;
export declare const Subtitle1: Story<TypographyProps<"span", {}>>;
export declare const Subtitle2: Story<TypographyProps<"span", {}>>;
export declare const body1: Story<TypographyProps<"span", {}>>;
export declare const body2: Story<TypographyProps<"span", {}>>;
export declare const Button: Story<TypographyProps<"span", {}>>;
export declare const Caption: Story<TypographyProps<"span", {}>>;
export declare const Overline: Story<TypographyProps<"span", {}>>;
export declare const VariantMapping: Story<TypographyProps<"span", {}>>;
