import { Story } from '@storybook/react';
import { BackdropProps } from '@material-ui/core';
import { Backdrop } from './Backdrop';
declare const _default: {
    title: string;
    component: typeof Backdrop;
    argTypes: {
        invisible: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        open: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        transitionDuration: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<BackdropProps>;
export declare const WithButton: Story<BackdropProps>;
