import { Story } from '@storybook/react';
import { AlertProps } from '@material-ui/lab';
import { Alert } from './Alert';
declare const _default: {
    title: string;
    component: typeof Alert;
    argTypes: {
        closeText: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        color: {
            control: string;
            options: string[];
            table: {
                type: {
                    summary: string;
                };
            };
        };
        role: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        severity: {
            control: string;
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        variant: {
            control: string;
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<AlertProps>;
export declare const Outlined: Story<AlertProps>;
export declare const Filled: Story<AlertProps>;
export declare const ErrorMessage: Story<AlertProps>;
export declare const Warning: Story<AlertProps>;
export declare const Info: Story<AlertProps>;
export declare const Color: Story<AlertProps>;
export declare const WithTitle: Story<AlertProps>;
export declare const ActionClose: Story<AlertProps>;
export declare const ActionUndo: Story<AlertProps>;
export declare const NoIcon: Story<AlertProps>;
