import { Story } from '@storybook/react';
import { BottomNavigation } from './BottomNavigation';
import { BottomNavigationProps } from '@material-ui/core';
declare const _default: {
    title: string;
    component: typeof BottomNavigation;
    args: {
        showLabels: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        onChange: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<BottomNavigationProps<"div", {}>>;
export declare const LabelsOff: Story<BottomNavigationProps<"div", {}>>;
export declare const DynamicDefault: Story<BottomNavigationProps<"div", {}>>;
export declare const DynamicLabelOff: Story<BottomNavigationProps<"div", {}>>;
