import { Story } from '@storybook/react';
import { LinkProps } from '@material-ui/core';
import { Link } from './Link';
declare const _default: {
    title: string;
    component: typeof Link;
    argTypes: {
        color: {
            control: string;
            options: string[];
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<LinkProps<"a", {}>>;
export declare const ButtonLink: Story<LinkProps>;
