import { Story } from '@storybook/react';
import { ChipProps } from '@material-ui/core';
import { Chip } from './Chip';
declare const _default: {
    title: string;
    component: typeof Chip;
    argTypes: {
        color: {
            defaultValue: string;
            table: {
                defaultValue: {
                    summary: string;
                };
            };
        };
        size: {
            defaultValue: string;
            table: {
                defaultValue: {
                    summary: string;
                };
            };
        };
        variant: {
            defaultValue: string;
            table: {
                defaultValue: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<ChipProps<"div", {}>>;
export declare const Primary: Story<ChipProps<"div", {}>>;
export declare const Secondary: Story<ChipProps<"div", {}>>;
export declare const Small: Story<ChipProps<"div", {}>>;
export declare const Disabled: Story<ChipProps<"div", {}>>;
export declare const WithAvatar: Story<ChipProps<"div", {}>>;
export declare const WithIcon: Story<ChipProps<"div", {}>>;
export declare const Outlined: Story<ChipProps<"div", {}>>;
export declare const Clickable: Story<ChipProps<"div", {}>>;
export declare const Deletable: Story<ChipProps<"div", {}>>;
export declare const DeleteIcon: Story<ChipProps<"div", {}>>;
