import { Story } from '@storybook/react';
import { CircularProgressProps } from '@material-ui/core';
import { CircularProgress } from './CircularProgress';
declare const _default: {
    title: string;
    component: typeof CircularProgress;
    argTypes: {
        color: {
            control: string;
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        disableShrink: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        size: {
            control: {
                type: string;
            };
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        thickness: {
            control: {
                type: string;
            };
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        value: {
            control: string;
            min: number;
            max: number;
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        variant: {
            control: string;
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<CircularProgressProps>;
export declare const Secondary: Story<CircularProgressProps>;
export declare const Shrink: Story<CircularProgressProps>;
export declare const Determinate: Story<CircularProgressProps>;
export declare const Progress: Story<CircularProgressProps>;
export declare const Size: Story<CircularProgressProps>;
