import { Story } from '@storybook/react';
import { LinearProgressProps } from '@material-ui/core';
import { LinearProgress } from './LinearProgress';
declare const _default: {
    title: string;
    component: typeof LinearProgress;
    argTypes: {
        color: {
            control: string;
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        value: {
            control: string;
            min: number;
            max: number;
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        valueBuffer: {
            control: string;
            min: number;
            max: number;
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        variant: {
            control: string;
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<LinearProgressProps>;
export declare const Secondary: Story<LinearProgressProps>;
export declare const Determinate: Story<LinearProgressProps>;
export declare const Buffer: Story<LinearProgressProps>;
export declare const Query: Story<LinearProgressProps>;
