import { Story } from '@storybook/react';
import { RatingProps } from '@material-ui/lab';
import { Rating } from './Rating';
declare const _default: {
    title: string;
    component: typeof Rating;
    argTypes: {
        defaultValue: {
            control: string;
            table: {
                type: {
                    summary: string;
                };
            };
        };
        size: {
            control: string;
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        disabled: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        max: {
            control: string;
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        name: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        precision: {
            control: string;
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        readOnly: {
            control: {
                type: string;
            };
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        value: {
            control: string;
            table: {
                type: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<RatingProps>;
export declare const DefaultValue: Story<RatingProps>;
export declare const Max: Story<RatingProps>;
export declare const Small: Story<RatingProps>;
export declare const Large: Story<RatingProps>;
export declare const Disabled: Story<RatingProps>;
export declare const ReadOnly: Story<RatingProps>;
export declare const Percision: Story<RatingProps>;
export declare const EmptyIcon: Story<RatingProps>;
export declare const CustomIcon: Story<RatingProps>;
