import { Story } from '@storybook/react';
import { BottomNavigationAction } from './BottomNavigationAction';
import { BottomNavigationActionProps } from '@material-ui/core';
declare const _default: {
    title: string;
    component: typeof BottomNavigationAction;
    args: {
        label: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        showLabel: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        selected: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        centerRipple: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        icon: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const DefaultRestore: Story<BottomNavigationActionProps<"button", {}>>;
export declare const DefaultFavorite: Story<BottomNavigationActionProps<"button", {}>>;
export declare const DefaultLocation: Story<BottomNavigationActionProps<"button", {}>>;
export declare const LabelRestore: Story<BottomNavigationActionProps<"button", {}>>;
export declare const LabelFavorite: Story<BottomNavigationActionProps<"button", {}>>;
export declare const LabelLocation: Story<BottomNavigationActionProps<"button", {}>>;
export declare const SelectedRestore: Story<BottomNavigationActionProps<"button", {}>>;
export declare const SelectedFavorite: Story<BottomNavigationActionProps<"button", {}>>;
export declare const SelectedLocation: Story<BottomNavigationActionProps<"button", {}>>;
export declare const CenteredRippleRestore: Story<BottomNavigationActionProps<"button", {}>>;
export declare const CenteredRippleFavorite: Story<BottomNavigationActionProps<"button", {}>>;
export declare const CenteredRippleLocation: Story<BottomNavigationActionProps<"button", {}>>;
